/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

[scriptable, uuid(2f66d0d1-f85b-409f-b469-0d7a336d1fb2)]
interface flockILogger: nsISupports
{
  void init(in AString aContext);

  // logging methods
  void debug(in AString aMessage);
  void info(in AString aMessage);
  void warn(in AString aMessage);
  void error(in AString aMessage);
  void fatal(in AString aMessage);
};
